<?php
/*****************************************************************************
 *
 * FrontendModLogonCookie.php - Based on modules created by Lars Michelsen <lars@vertical-visions.de>
 *
 * Copyright (c) 2004-2010 NagVis Project (Contact: info@nagvis.org)
 *
 * License:
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *****************************************************************************/
 
/**
 * Based on the work of Lars Michelsen <lars@vertical-visions.de>
 * Authors: Alan Pipitone & Fabio Frioni <fabio.frioni@gmail.com>
 *
 * This module is intended to be used with COOKIE authentication method
 * by reading the HTTP_COOKIE environment variable.
 * To activate this module you must edit the "nagvis.ini.php" config file
 * and put the following definitions:
 *
 *      logonmodule="LogonCookie"
 *      logonenvvar="nagios_group"
 *
 * where logonmodule is this module and logonenvvar is the name of cookie
 * which contains the user name
 *
 * HTTP_COOKIE Header variable containing "nagios_group=user_name" cookie
 *
 */
class FrontendModLogonCookie extends CoreModLogonCookie {}
?>
